org.eclipse.incquery.runtime.api

## Enum IncQueryModelUpdateListener.ChangeLevel

- java.lang.Object
- - java.lang.Enum<IncQueryModelUpdateListener.ChangeLevel>
  - - org.eclipse.incquery.runtime.api.IncQueryModelUpdateListener.ChangeLevel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IncQueryModelUpdateListener.ChangeLevel>
  Enclosing interface:
    IncQueryModelUpdateListener

      public static enum IncQueryModelUpdateListener.ChangeLevel
      extends java.lang.Enum<IncQueryModelUpdateListener.ChangeLevel>

  Possible notification levels for changes
  Author:
    Abel Hegedus

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INDEX`
    `MATCHSET`
    `MODEL`
    `NO_CHANGE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IncQueryModelUpdateListener.ChangeLevel` | `changeOccured(IncQueryModelUpdateListener.ChangeLevel occuredLevel)`
    `static IncQueryModelUpdateListener.ChangeLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IncQueryModelUpdateListener.ChangeLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_CHANGE

          public static final IncQueryModelUpdateListener.ChangeLevel NO_CHANGE

    - #### MODEL

          public static final IncQueryModelUpdateListener.ChangeLevel MODEL

    - #### INDEX

          public static final IncQueryModelUpdateListener.ChangeLevel INDEX

    - #### MATCHSET

          public static final IncQueryModelUpdateListener.ChangeLevel MATCHSET

  - ### Method Detail

    - #### values

          public static IncQueryModelUpdateListener.ChangeLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IncQueryModelUpdateListener.ChangeLevel c : IncQueryModelUpdateListener.ChangeLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IncQueryModelUpdateListener.ChangeLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### changeOccured

          public IncQueryModelUpdateListener.ChangeLevel changeOccured(IncQueryModelUpdateListener.ChangeLevel occuredLevel)